KDE 4.7 PyKDE API Reference

- KDE's Python API

# SmartCardReader Class Reference

`from PyKDE4.solid import *`

Inherits: Solid.DeviceInterface → QObject
Namespace: Solid

## Detailed Description

This device interface is available on smart card readers.

## Enumerations
ReaderType | { UnknownReaderType, CardReader, CryptoToken }
## Methods
| __init__ (self, QObject backendObject)
Solid.SmartCardReader.ReaderType | readerType (self)
## Static Methods
Solid.DeviceInterface.Type | deviceInterfaceType ()

## Method Documentation

__init__ | ( | self, |
|  | QObject | backendObject
| ) |  |  |

Creates a new SmartCardReader object. You generally won't need this. It's created when necessary using Device.as().

Parameters:

  | backendObject | the device interface object provided by the backend

See also:
  Solid.Device.as()

Solid.SmartCardReader.ReaderType readerType | ( |  | self ) |

Retrieves the type of this smart card reader.

Returns:
  the smart card reader type

See also:
  Solid.SmartCardReader.ReaderType

## Static Method Documentation

Solid.DeviceInterface.Type deviceInterfaceType | ( |  | ) |

Get the Solid.DeviceInterface.Type of the SmartCardReader device interface.

Returns:
  the SmartCardReader device interface type

See also:
  Solid.DeviceInterface.Type

## Enumeration Documentation

ReaderType

This enum type defines the type of smart card reader attached

- CardReader : A generic smart card reader - CryptoToken : A smart card reader with a card built into the device

Enumerator:

  UnknownReaderType = -1 |
  CardReader |
  CryptoToken |